<template>
  <AttentionItem v-for="(item, index) in list" :key="index" :item="item" />
  <Empty v-if="!list.length" text="精彩直播正在路上..." />
</template>

<script setup>
import { ref } from "vue";
import { useRoute } from "vue-router";
import AttentionItem from "./components/AttentionItem.vue";
import Empty from "@/components/Empty.vue";
import { queryColumnHisGuest } from "@/api/column";

const route = useRoute();
const list = ref([]);
const getList = async () => {
  let ret = await queryColumnHisGuest({ id: route.query.id });
  if (ret.code === 0 && ret.data) {
    list.value = ret.data.list;
  }
};
getList();
</script>
<style scoped lang="scss"></style>
